function ssw_install_sets2ftpurls, sswsets, _extra, ssw_host=ssw_host
;
;+
;
;    Name:   ssw_install_sets2ftpurls
;
;    Purpose: map from input ssw sets/instruments -> installation file ftpurls
;
;    Input Parameters:
;       sswsets - list of one or more instruments of interest
;
;    History:
;       S.L.Freeland - 10-Jan-2002 - simplify remote installation logic
;   
;-
;                      
if data_chk(sswsets,/string) then ssets=sswsets

case 1 of 
   data_chk(ssets,/string): begin 
      ssinstr=where(strpos(ssets,'_') eq -1,ssicnt)
      if ssicnt gt 0 then ssets(ssinstr)=ssw_instr2set(ssets)
   endcase
   data_chk(_extra,/string): begin 
      ssets=ssw_instr2set(strlowcase(tag_names(_extra)))
   endcase
   else: begin 
   endcase
endcase


tssw_mirror_host=get_logenv('ssw_mirror_site')
tssw_host=get_logenv('SSW_HOST')

case 1 of 
   data_chk(ssw_host,/string):
   tssw_mirror_host(0) ne '': ssw_host=tssw_mirror_host
   tssw_host(0) ne '':        ssw_host=tssw_host
   else: ssw_host='sohoftp.nascom.nasa.gov'        ; default
endcase

tartop='/solarsoft/offline/swmaint/tar'   

ftpurls='ftp://' + concat_dir(concat_dir(ssw_host,tartop), ssets)+ '.tar.Z'

return,ftpurls
end
