
function ssw_instr2set, instr, sscnt
;
;+
;   Name: ssw_instr2set
;
;   Purpose: map from instrument list to sss_mmm_iii string
;            (for example, installation file names)
;
;   Input Paramters:
;      instr - list of one or more instruments
;              (may be one elmenents comma delimited list)
;
;   Output:
;      function returns ssw_mmm_iii vector (mmm=mission, iii=instrument)
;
;   Output Parameters:
;      sscnt - number of returned elements
;-

if not data_chk(instr,/string) then begin
     box_message,'Need input instrument list'
     return,''
endif     

iinstr=instr
if n_elements(iinstr) eq 1 then iinstr=str2arr(iinstr,/nomult)

linstr=strlowcase(strtrim(instr,2))
allinstr=strlowcase(ssw_instruments())
cols=str2cols(allinstr,'/',/unal)
strtab2vect, cols,mission,instruments
missssw=where(mission eq instruments,msswcnt)
if msswcnt gt 0 then mission(missssw)='ssw'

ss=where_arr(instruments,iinstr,sscnt)

if sscnt gt 0 then begin 
   sswsets='ssw_'+mission(ss)+'_'+instruments(ss)
endif else begin 
   box_message,'No valid instruments in input
   sswsets=0
endelse
return,sswsets
end
